Description

It is possible to override a layer's CRS, for example by right-clicking on it and choosing "Set layer CRS".

As far as I can see there is currently nothing in QGIS to:

- indicate that a layer's CRS has been overridden.

- provide an ability to remove the override, to show the layer in its native CRS (i.e. the one specified by its .prj file or whatever metadata is

applicable, depending on the provider).

- make it clear to the user that "Set layer CRS" only affects the current QGIS project, not other projects using the same source layer.

To provide these abilities I think it would be good to do something like this:

- display the layer's native CRS in the text area at the top of the CRS selection dialogue (maybe this is already supposed to happen - see

#4100).

- add a checkbox in the CRS dialogue labelled something like "Override layer's native CRS".  Gray out the rest of the CRS selector if this

is unchecked.  Gray out (or hide if possible) this checkbox when it is not applicable (e.g. when setting the CRS for a new layer to be

created).

- rename "Set layer CRS" in the layer right-click menu to something like "Override layer CRS", 

- add a checkbox in the right-click menu next to "Override layer CRS", indicating whether or not it is currently overridden.

- similarly rename "Set CRS of layer(s)" in the layer menu.

- rename the "Specify CRS" button in the "General" tab of the layer properties dialogue to "Override layer CRS", and add a checkbox next

to it (gray the button out when the checkbox is unchecked).

Have I missed anything?

History

#1 - 2012-10-06 02:18 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#2 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

#3 - 2018-01-10 03:48 AM - Alister Hood

- Description updated

Also see #4236
